Subject: Re: [External] : Re: bug#65186: 29.0.91; `dired-free-space' is a step backward

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Aug 2023 20:43:55 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Thu, 10 Aug 2023 15:42:57 +0000
> 
> > > Two main problems with this self-styled enhancement:
> > >
> > > 1. The default behavior should be what we've always had, which
> > > corresponds to NONE of the `dired-free-space' option values.
> > 
> > The 'separate' value (which is not the default) produces the behavior
> > we had in Emacs 28 and older, so why do you say that "what we always
> > had corresponds to none" of the option's values?
> 
> No, it doesn't.  Not with `emacs -Q' on MS Windows (which uses ls-lisp), at least.  Not in 28.2 or ANY earlier release, going back to when `dired-hide-details-mode' was first introduced.  In all releases, if you use `(' to hide details then that "separate" line is one of the details that's _removed_.

If this is about hiding the disk space information, then it's your
item 2, and is now fixed.  With that taken care of, the 'separate'
value produces the disk space display identical to what Emacs 28 and
older did.

> > > 2. Even if you set the option to `separate', so you see the full info,
> > > you can't get the superior previous behavior, which is that there's _no
> > > such info_ shown when you hide details (`(').
> > >
> > > Instead, Someone(TM) maybe thought that those interested in what
> > > Someone(TM) doesn't think interesting - the full info - always want to
> > > see that info, even with details hidden.  Blinders...
> > 
> > I think it was just an oversight, now fixed on the emacs-29 branch.
> 
> Thank you very much, Eli.
> (I don't build Emacs, but I'm guessing you mean what I hope you mean. ;-))

The change I installed makes '(' hide the disk space information when
it is displayed on a separate line, under dired-free-space = 'separate'.  
This is for consistency with previous behavior of Dired.

> IF all you changed was to make `separate' be the default or IF it was only to hide all such info when hiding details, then that doesn't fix what I'd like to see fixed.

'separate' will not become default.  Emacs 29 was already released
with a different default, so that ship has sailed.  We will only
revert back to 'separate' if there will be user outcry to that effect.

> 1. The default behavior as it was before: when details aren't hidden, show the full info on a separate line, and when details are hidden, don't show any such info (available, used, etc.).
> 
> 2. For _each_ of the option values: when details are hidden, don't show any such info.  (Unless you add a separate option value for something different.  At least let users get the old behavior exactly, as one possibility) 

The default display of the disk space info is on the same line as the
directory name.  It doesn't get hidden when you press '(', and I'm not
sure it should.  I made it be hidden for the 'separate' display,
because that's how it behaved before Emacs 29, but there's no such
precedent for the default value of 'first', and so what you want to
happen in that case is just your personal opinion.  We don't need to
agree about that.

And with that, I'm closing this bug.